---
- include_tasks: roles/container_base/tasks/set_uid_and_gid.yml

- name: "Create postgres user '{{ app_postgres_user }}'"
  ansible.builtin.shell:
    podman exec -it postgres psql -U {{ postgres_admin_user }} -c "CREATE USER {{ app_postgres_user }} CREATEDB PASSWORD '{{ app_postgres_password }}'"
  register: psql_result
  become_user: "{{ app_user }}"
  changed_when: psql_result.rc == 1
  failed_when: psql_result.rc not in [1,0]
  no_log: true
  environment:
    PATH: "{{ homebrew_bin_dir }}:{{ ansible_env.PATH }}"
    XDG_RUNTIME_DIR: "{{ xdg_runtime_dir }}"
  retries: 5
  until: "psql_result is not failed"
  delay: 10

- name: "Create postgres database '{{ app_postgres_database }}'"
  ansible.builtin.shell: podman exec -it postgres psql -U {{ postgres_admin_user }} -tc "SELECT 1 FROM pg_database WHERE datname = '{{ app_postgres_database }}'" | grep -q 1 | podman exec -it postgres psql -U {{ postgres_admin_user }} -c "CREATE DATABASE {{ app_postgres_database }} with owner {{ app_postgres_user }}";
  register: psql_result
  become_user: "{{ app_user }}"
  changed_when: psql_result.rc == 129
  failed_when: psql_result.rc not in [1,129]
  environment:
    XDG_RUNTIME_DIR: "{{ xdg_runtime_dir }}"
    PATH: "{{ homebrew_bin_dir }}:{{ ansible_env.PATH }}"
  retries: 5
  until: "psql_result is not failed"
  delay: 10
